Index: sansview/perspectives/fitting/basepage.py
===================================================================
--- sansview/perspectives/fitting/basepage.py	(revision 18cdddb97a2eaa0aff943d5572d195a50a4448e0)
+++ sansview/perspectives/fitting/basepage.py	(revision 01b6bd08f11fd74e3dcb6881617f495881dee060)
@@ -2252,5 +2252,6 @@
         self.disp_box.Hide()
         self.sizer4_4.Clear(True)
-        model_disp = wx.StaticText(self, -1, 'No PolyDispersity for this model')
+        text = "No polydispersity available for this model"
+        model_disp = wx.StaticText(self, -1, text)
         self.sizer4_4.Add(model_disp,( iy, ix),(1,1),  wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         self.sizer4_4.Layout()
Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 982e953818ad4193811d01f27ca505ac82d28ab8)
+++ sansview/perspectives/fitting/fitpage.py	(revision 01b6bd08f11fd74e3dcb6881617f495881dee060)
@@ -478,7 +478,8 @@
                            wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1 
-        values = wx.StaticText(self, -1, 'Sigma [A]')
-        values.SetToolTipString(\
-        "Sigma(STD) in the A unit; the standard deviation from the mean value.")
+        values = wx.StaticText(self, -1, 'PD[ratio] ')
+        polytext = "Polydispersity (= STD/mean); "
+        polytext +=  "the standard deviation over the mean value."
+        values.SetToolTipString(polytext)
 
         self.sizer4_4.Add(values,( iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 
@@ -513,5 +514,5 @@
          of the distribution function will be used for weighting. \n\
         The value '3' covers 99.5% for Gaussian distribution \n\
-        function.")
+        function. Note: Not recommended to change this value.")
         self.sizer4_4.Add(nsigmas,( iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE,
                            0)
@@ -547,7 +548,9 @@
                         ctl1 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH,20)
                                                   ,style=wx.TE_PROCESS_ENTER)
-                        ctl1.SetToolTipString("Absolute Sigma: \n\
-                        1) It is the STD (ratio*mean) of '%s' distribution.\n \
-                        2) It should not exceed Mean/(2*Nsigmas)." %item)
+                        ctl1.SetLabel('PD[ratio]')
+                        poly_text = "Polydispersity (STD/mean) of %s\n" % item
+                        poly_text += "STD: the standard deviation"
+                        poly_text += " from the mean value."
+                        ctl1.SetToolTipString(poly_text)
                         ctl1.SetValue(str (format_number(value)))
                         self.sizer4_4.Add(ctl1, (iy,ix),(1,1),wx.EXPAND)
@@ -661,14 +664,18 @@
                         ctl1 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH,
                                         20),style=wx.TE_PROCESS_ENTER)
-                        ctl1.SetToolTipString("Absolute Sigma: \n\
-                        1) It is the STD (ratio*mean) of '%s' distribution."% \
-                        item)
+                        poly_tip = "Absolute Sigma for %s." % item
+                        ctl1.SetToolTipString(poly_tip)
                         ctl1.SetValue(str (format_number(value)))
                         if self.data.__class__.__name__ =="Data2D":
                             if first_orient:
-                                values.SetLabel('Sigma [A (or deg)]')
-                                values.SetToolTipString(\
-                                "Sigma(STD) in the A or deg(for angles) unit;\n\
-                                the standard deviation from the mean value.")
+                                values.SetLabel('PD[ratio], Sig[deg]')
+                                poly_text = "PD(polydispersity for lengths):\n"
+                                poly_text +=  "It should be a value between"
+                                poly_text +=  "0 and 1\n"
+                                poly_text += "Sigma for angles: \n"
+                                poly_text += "It is the STD (ratio*mean)"
+                                poly_text += " of the distribution.\n " % item
+                            
+                                values.SetToolTipString(poly_text)
                                 first_orient = False
                             ctl1.Show(True)
